package com.dkha.common.modules.vo;
import com.dkha.common.modules.vo.position.PositionVO;
import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

@AllArgsConstructor
@NoArgsConstructor
@Data
//@JsonInclude(JsonInclude.Include.NON_NULL)
@ApiModel(value="视频页面比对展示的vo", description="前端页面比对人脸库展示数据")
public class CompareFaceList {


    @ApiModelProperty(value = "时间")
    private String time;
    @ApiModelProperty(value = "视频解帧大图地址")
    private String jzphoto;
    @ApiModelProperty(value = "原始待人脸地址")
    private String cphoto;
    @ApiModelProperty(value = "比对最相似的人脸地址")
    private String rphoto;
    @ApiModelProperty(value = "比对相似度")
    private double xsd;
    @ApiModelProperty(value = "姓名")
    private String name;
    @ApiModelProperty(value = "库名称")
    private String libName;
    @ApiModelProperty(value = "摄像头地址")
    private String rtspUrl;
    @ApiModelProperty(value = "摄像头ID")
    private String cameraId;
//    @ApiModelProperty(value = "库id")
//    private String libId;

}
