package com.dkha.common.modules.vo.cut;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @Author Spring
 * @Since 2019/12/13 16:43
 * @Description 裁剪图片
 */
@Data
public class CutVo {

    @ApiModelProperty(value = "图片路径")
    private String url;
    @ApiModelProperty(value = "坐标 x")
    private Integer x;
    @ApiModelProperty(value = "坐标 y")
    private Integer y;
    @ApiModelProperty(value = "坐标 w")
    private Integer w;
    @ApiModelProperty(value = "坐标 h")
    private Integer h;
}
