package com.dkha.server.system.modules.sys.dao;

import com.dkha.server.system.common.dao.BaseDao;
import com.dkha.server.system.modules.sys.dto.SysDictDataDTO;
import com.dkha.server.system.modules.sys.entity.DictData;
import com.dkha.server.system.modules.sys.entity.SysDictDataEntity;
import com.dkha.server.system.modules.sys.entity.SysDictTypeEntity;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 字典数据
 *
 * @author Mark sunlightcs@gmail.com
 */
@Mapper
public interface SysDictDataDao extends BaseDao<SysDictDataEntity> {

    /**
     * 字典数据列表
     */
    List<DictData> getDictDataList();


//    /**
//     * 字典数据列表
//     */
//     DictData selectById();
}
