package com.dkha.task.comm;

import com.dkha.task.modual.vo.BayonetVO;

import java.text.SimpleDateFormat;
import java.util.concurrent.ConcurrentHashMap;

/**
 * @version V1.0
 * @Description: TODO(定时任务里面的统计)
 * All rights 成都电科慧安
 * @Title: TimerData
 * @Package com.dkha.server.common
 * @author: panhui
 * @date: 2020/1/3 14:26
 * @Copyright: 成都电科慧安
 */
public class TimerData {
    //预警总数统计
    public static Long WARNING_NUM = -1L;

    //存储卡口不同的数据
    public static ConcurrentHashMap<String, BayonetVO> bayonetMap=new ConcurrentHashMap<>();

    /**
     * 不同的session保存不同的token
     */
    public static ConcurrentHashMap<String, String> tokens=new ConcurrentHashMap<>();

    //获取当前时间
    public static String TIME_MARK=new SimpleDateFormat("yyyyMMdd").format(System.currentTimeMillis());

    //系统处理的数量 50
    public static final Integer SYSTEM_DEEL_NUM=100;
    //每次处理数据中 redis过期时间
    public static final Long expireTime=3000L;
}

