package com.dkha.common.enums;

/**
 * @ClassName: DictTypeEnums
 * @Description: (字典类型枚举)
 * @author: 严平
 * @date: 2019-09-18
 * @Copyright: 成都电科惠安
 */
public enum DictTypeEnums {


    UNIT_TYPE("unittype", "单位类型"),
    GENDER("gender", "性别"),
    REGION("region", "摄像头区域"),
    EDUCATION("education","教育程度"),
    NATION("nation","民族"),
    ACCOMMODATION("accommodation","食宿安排"),
    SALARY("salary","收入区间"),
    MARITALSTATUS("maritalstatus","婚姻状况"),
    POLITICAL("political","政治面貌"),
    ACCOUNT("account","户口性质"),
    POST_SKILL("postSkill","职业技能"),
    INDUSTRY("industry","所属行业"),
    STAFF_SCALE("staffScale","公司人员规模"),
    WORKING_SYSTEM("workingSystem","工作制度"),
    EMPLOYEE_CHANNEL("employeeChannel","就业渠道"),
    ACADEMIC("academic","学历要求"),
    EMPLOYMENT_METHOD("employmentMethod","用工方式"),
    TRAINING_TYPE("trainingType","培训类型"),
    ORGANIZED_EMPLOYMENT("organizedEmployment","有组织就业"),
    SELF_EMPLOYMENT("selfEmployment","自主零散就业"),
    AREA("area","全国地区"),
    LABOR_STATUS("laborStatus","劳动力状况");
    public String code;
    public String name;

    DictTypeEnums(String code, String name) {
        this.code = code;
        this.name = name;
    }
}
