package com.dkha.common.modules.vo.camera;

import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * @version V1.0
 * @Description: TODO(please write your description)
 * All rights 成都电科慧安
 * @Title: AssociationPeopleVO
 * @Package com.dkha.common.modules.vo.camera
 * @author: panhui
 * @date: 2020/1/9 17:57
 * @Copyright: 成都电科慧安
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@JsonInclude(JsonInclude.Include.NON_NULL)
@ApiModel(value="人脸特征id关联的预警信息", description="人脸特征id关联的预警信息")
public class AssociationPeopleVO {
    @ApiModelProperty(value = "特征id")
    private String featId;
    @ApiModelProperty(value = "预警信息")
    private List<String> armIds;
}
