package com.dkha.common.modules.vo.facelib;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @Author Spring
 * @Since 2019/12/11 16:32
 * @Description 分组请求vo
 */
@Data
public class CompareRequestVo {

    @ApiModelProperty(value = "需要分组的url集合")
    private List<String> urlList;

    @ApiModelProperty(value = "阀值")
    private Double minScore;

    @ApiModelProperty(value = "查询的库id")
    private String value;
}
