package com.dkha.common.modules.vo.upload;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @Author Spring
 * @Since 2019/12/11 15:34
 * @Description 图片上传结果集合
 */
@Data
public class ImageUploadResult {

    @ApiModelProperty(value = "上传成功后对应url集合")
    private List<String> successFileUrlList;
    @ApiModelProperty(value = "总的文件数")
    private int totalFiles;
    @ApiModelProperty(value = "失败文件数")
    private int failFiles;
    @ApiModelProperty(value = "成功文件数")
    private int successFiles;
}
