package com.dkha.common.modules.vo.warning;

import com.dkha.common.modules.vo.face.AlarmReturnVO;
import com.dkha.common.modules.vo.face.PageVO;
import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * @version V1.0
 * @Description: TODO(卡口返回数据)
 * All rights 成都电科慧安
 * @Title: WarningBayonetReturnVO
 * @Package com.dkha.server.modules.vo.warning
 * @author: panhui
 * @date: 2019/12/10 11:42
 * @Copyright: 成都电科慧安
 */
@AllArgsConstructor
@NoArgsConstructor
@Data
//@JsonInclude(JsonInclude.Include.NON_NULL)
@ApiModel(value="卡口返回数据", description="卡口返回数据")
public class WarningBayonetReturnVO {

    @ApiModelProperty(value = "预警信息")
    private List<AlarmReturnVO> result;
    @ApiModelProperty(value = "分页数据")
    private PageVO page;
}
