package com.dkha.server.mappers;

import com.dkha.server.modules.entities.ControlLibraryMid;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 布控和库中间表 Mapper 接口
 * </p>
 *
 * @author Spring
 * @since 2019-12-09
 */
@Mapper
public interface ControlLibraryMidMapper extends BaseMapper<ControlLibraryMid> {

    /**查看特征库id是否存在或有效*/
    Integer selectexistByLibID(@Param("libid") String libID,@Param("isvalid") String isvalid);
    /**根据任务ID删除任务对应的中间特征库*/
     Integer deletetaskLibraryMidbytaskid(@Param("taskID") String taskID);

    Integer selectByLibID(@Param("libid") String libID,@Param("isvalid") String isvalid);
}
